%define upstream_name    Games-Mastermind-Cracker
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Guess every code in order
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Games/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::Exception)
BuildArch: noarch

%description
Mastermind is a code-breaking game played by two players, the "code maker"
and the "code breaker".

This module plays the role of code breaker. The only requirement is that
you provide the answers to how many black pegs and how many white pegs a
code gives.

You must instantiate a subclass of this module to actually break codes.
There are a number of different cracker modules, described in the
/ALGORITHMS manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.30.0-3.mga4
+ Revision: 511781
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 367624
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 03 2011 kharec <kharec> 0.30.0-1.mga2
+ Revision: 175428
- imported package perl-Games-Mastermind-Cracker


* Sat Dec 03 2011 cpan2dist 0.03-1mga
- initial mageia release, generated with cpan2dist
